* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #130706;
  text-decoration: none;
  scroll-behavior: smooth;
  scroll-margin-top: 30px; /* This adds the margin*/
}
.logo img {
  width: 20%;
  align-self: self-start;
}
.logo {
  width: 20%;
  position: relative;
  display: flex;
  justify-content: start;
  align-items: center;
  gap: 10px;
}
.bar {
  display: none;
  width: 20%;
  justify-content: end;
}
.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 7vw;
  height: 60px;
  background-color: #b71c1c;
  border-bottom: 2px solid #b71c1c;
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 1000;
  transition: background-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.header.glassy {
  background-color: rgba(183, 28, 28, 0.6);
  backdrop-filter: blur(10px);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.header ul {
  display: flex;
  align-items: center;
}
.header ul li:hover {
  color: bisque;
  background-color: rgb(252, 41, 41);
  border-radius: 20%;
}
.nav ul li {
  padding: 0 15px;
  font-size: 15px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  gap: 25px;
}
.nav {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60%;
}

.home {
  height: 92svh;
  background-color: black;
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}

.hero-content {
  height: 100%;
  padding: 0 7vw;
  width: 50%;
  background-color: #010103;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.sub-hero {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 20px;
  margin-top: 20px;
}
.pizza-image {
  height: 100%;
  width: 50%;
  background-color: #010103;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pizza-img {
  width: 100%;
  height: 100%;
  object-fit: full;
  object-position: center;
}
.hero-btn {
  background-color: #b71c1c;
  padding: 10px 20px;
  border-radius: 10px;
  color: white;
  border: none;
  cursor: pointer;
}

.hero-btn:hover {
  background-color: rgb(252, 41, 41);
}
.hero-btn:active {
  background-color: rgb(252, 41, 41);
}
.hero-btn:focus {
  background-color: rgb(252, 41, 41);
}
.hero-btn:visited {
  background-color: rgb(252, 41, 41);
}

.menu-heading {
  font-size: 25px;
  font-weight: bold;
  color: white;
  background-color: #b71c1c;
  text-align: center;
  border-radius: 2dvb;
}
.menu {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  padding: 0 7vw;
  background-color: #010103;
}

.menu img {
  width: 80%;
  height: 80%;
  object-fit: cover;
  object-position: center;
  position: relative;
  border-radius: 10px;
}

.menu-item {
  color: white;
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin-top: 20px;
  background-color: #111;
  padding: 1rem;
  border-radius: 10px;
  position: relative;
}

.menu-item span {
  color: white;
}
.menudiv {
  padding: 2rem;
  background-color: #010103;
}
h2 {
  font-size: 25px;
  font-weight: bold;
  color: white;
}
p {
  font-size: 15px;
  font-weight: 400;
  color: white;
}

.menu-btn {
  background-color: #b71c1c;
  padding: 10px 20px;
  border-radius: 10px;
  color: white;
  border: none;
  cursor: pointer;
}
.order-heading {
  font-size: 25px;
  font-weight: bold;
  color: white;
  background-color: #b71c1c;
  text-align: center;
  border-radius: 2dvb;
}
.order-sub-heading {
  font-size: 20px;
  font-weight: lighter;
  color: white;
  background-color: #010103;
  text-align: center;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.order {
  padding: 2rem;
  background-color: #010103;
}
.order form {
  padding: 2rem;
  background-color: #b71c1c;
  width: 80%;
  margin: 0 auto;
}
.order-content {
  display: flex;
  justify-content: space-between;
  align-items: start;
  width: 100%;
  gap: 2rem;
}
.order form .order-content,
.order form .order-comtent {
  width: 100%;
  margin: 1rem 0;
  padding: 1.2rem 1.4rem;
  font-size: 1.7rem;
  color: rgb(5, 3, 0);
}

.order-box input {
  width: 100%;
  margin: 5px;
  padding: 0.5rem;
  font-size: medium;
  color: rgb(21, 13, 4);
  border-radius: 4px;
  border: none;
}

.inputbox {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1px;
  font-size: large;
}

.txtarea {
  width: 100%;
  margin: 1rem 0;
  padding: 1.2rem 1.4rem;
  font-size: small;
  color: black;
}

.submit-btn {
  background-color: black;
  padding: 10px 20px;
  border-radius: 10px;
  color: white;
  border: none;
  cursor: pointer;
  width: 9rem;
}

.google-maps {
  margin-top: 1rem;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  padding: 0 1vw;
  height: 16rem;
  border: none;
}
.order-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.foot {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 4px;
  color: #010103;
  padding: 1.2rem;
  background-color: #b51c1c;
}
.foot p {
  color: #010103;
}
footer {
  width: 100%;
  background-color: #b51c1c;
  height: 10rem;
  display: flex;
  align-items: center;
}
.footer-container {
  display: flex;
  justify-content: space-between;
  gap: 1rem;
  align-items: center;
  max-width: 60%;
  margin: 0 auto;
}

.header-text {
  font-size: 5rem;
  font-weight: bold;
  color: white;
  margin-top: 1rem;
}

.hidden {
  display: none;
}

.bar button {
  background-color: transparent;
  border-radius: 10px;
  color: white;
  border: none;
  cursor: pointer;
}
.bar button i {
  font-size: 1.5rem;
}

.account ul {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 100%;
}
.account input {
  background-color: #e2e2e2;
  border: none;
  border-radius: 5px;
  padding: 0.3rem;
}

.search {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 100%;
}

/* Responsive */
@media screen and (max-width: 768px) {
  .logo img {
    width: 50%;
  }

  .nav {
    display: none;
  }
  .nav.show {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 20px;
    height: 200px;
    background-color: #b71c1c;
    margin-top: 16rem;
  }

  .nav ul {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    gap: 20px;
  }

  .account {
    display: none;
  }

  .bar {
    display: flex;
    width: 20%;
    justify-content: flex-end;
  }

  /* Hero section */
  .header-text {
    font-size: 2.5rem;
  }

  .sub-hero p {
    font-size: medium;
    display: none;
  }

  .home {
    align-items: center;
    text-align: center;
    flex-direction: column-reverse;
  }

  .hero-content,
  .pizza-image {
    margin-top: 1rem;
    width: 90%;
    padding: 0 2vw;
  }

  .pizza-img {
    border-radius: 1rem;
    width: 90%;
    height: 100%;
  }

  .hero-btn {
    width: 80%;
    margin: 0 auto;
  }

  .menu {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
    align-items: center;
    padding: 0 2vw;
  }

  .menu-item {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #111;
    padding: 1rem;
    border-radius: 10px;
  }

  .menu-item span {
    font-family: "Courier New", Courier, monospace;
    color: whitesmoke;
  }

  .order {
    padding: 1rem;
    width: 100%;
  }
  .order-content {
    flex-direction: column;
    gap: 1rem;
    width: 100%;
  }
  .order form {
    width: 100%;
    background-color: #b71c1c;
    border-radius: 0.5rem;
    padding: 1rem;
  }

  .order-box {
    width: 100%;
  }
  .inputbox {
    width: 100%;
  }
  .order-box input {
    width: 100%;
    margin: 5px;
    padding: 0.5rem;
    margin: 0;
    font-size: medium;
    background-color: #c8b5b5;
    color: black;
    border: none;
    border-radius: 5px;
  }

  /* style the input placeholder text */
  ::placeholder {
    color: rgb(74, 60, 60);
    font-size: medium;
  }

  .txtarea {
    width: 100%;
    margin: 1rem 0;
    padding: 0.5rem;
    font-size: small;
    color: black;
    background-color: #c8b5b5;
    border: none;
    border-radius: 5px;
  }

  .footer-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    max-width: 100%;
  }

  footer {
    height: 100%;
  }
}
